List all subscriptions
Returns a paginated list of your subscriptions. The subscriptions are sorted in order, with the most recent subscriptions appearing first.
/v1/subscriptions/Authorization
api_key_auth API key authentication. Use "Bearer YOUR_API_KEY" format.
In: header
Query Parameters
The number of results per page. Minimum value is 1 and maximum is 100. Defaults to 20.
A cursor value specifying the id of a resource to start before. Retrieves items that appear after this cursor in the list. Cannot be used together with ending_before.
^[0-9a-fA-F]{24}$A cursor value specifying the id of a resource to end after. Retrieves items that appear before this cursor in the list. Cannot be used together with starting_after.
^[0-9a-fA-F]{24}$Case-insensitive search matched against customer email, customer name, product title, orderId, and subscriptionId.
Unique identifier. Must be in BSON ObjectId format.
^[0-9a-fA-F]{24}$Unique identifier. Must be in BSON ObjectId format.
^[0-9a-fA-F]{24}$date-timedate-time"abandoned" | "recovered""draft" | "draft_expired" | "incomplete" | "incomplete_expired" | "trialing" | "paused" | "scheduled" | "active" | "past_due" | "canceled" | "unpaid" | "failed" | "completed"Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.checkoutpage.com/v1/subscriptions/"{
"has_more": true,
"total": 42,
"data": [
{
"id": "string",
"orderId": "string",
"stripeSubscriptionId": "string",
"stripeCustomerId": "string",
"customerEmail": "string",
"customerName": "string",
"currency": "string",
"amount": 0,
"amountUsd": 0,
"interval": "string",
"intervalCount": 0,
"planIterations": 0,
"fees": [
{
"name": "string",
"amount": 0,
"percentage": 0,
"stripeProductId": "string"
}
],
"setupFee": 0,
"setupFeeDiscountAmount": 0,
"setupFeeFees": [
{
"name": "string",
"amount": 0,
"percentage": 0,
"stripeInvoiceItemId": "string"
}
],
"setupFeeTotal": 0,
"setupFeeUsd": 0,
"setupFeeInvoiceItemId": "string",
"setupFeeInvoiceItemPaid": true,
"quantity": 0,
"productPrice": 0,
"dynamicPrice": 0,
"discountedFromPrice": 0,
"sku": "string",
"billing": {
"name": "string",
"companyName": "string",
"email": "string",
"billingEmail": "string",
"phone": "string",
"address": {
"line1": "string",
"line2": "string",
"city": "string",
"state": "string",
"postalCode": "string",
"country": "string"
}
},
"shipping": {
"name": "string",
"phone": "string",
"address": {
"line1": "string",
"line2": "string",
"city": "string",
"state": "string",
"postalCode": "string",
"country": "string"
}
},
"fields": [
{
"fieldId": "string",
"label": "string",
"value": "string",
"element": "checkbox",
"type": "",
"reference": "string"
}
],
"variants": [
{
"name": "string",
"variantId": "string",
"reference": "string",
"selectionType": "single",
"selectedOptions": [
{
"optionId": "string",
"optionType": "one_time",
"optionName": "string",
"sku": "string",
"quantity": 0,
"additionalChargeAmount": 0,
"discountAmount": 0,
"fees": [
{
"name": "string",
"amount": 0,
"percentage": 0,
"stripeInvoiceItemId": "string"
}
],
"additionalChargeAmountTotal": 0,
"additionalChargeAmountUsd": 0,
"optionStripePriceId": "string",
"optionStripeProductId": "string",
"optionInvoiceItemId": "string",
"optionInvoiceItemPaid": true
}
],
"fees": [
{
"name": "string",
"amount": 0,
"percentage": 0,
"stripeInvoiceItemId": "string"
}
]
}
],
"couponId": "string",
"couponSnapshot": {
"label": "string",
"code": "string",
"amountOff": 0,
"percentOff": 0,
"appliesToSetupFee": true,
"duration": "once",
"durationInMonths": 0,
"redeemBy": "2019-08-24T14:15:22Z",
"maxRedemptions": 0,
"timesRedeemed": 0,
"currency": "string",
"deleted": true,
"pageIds": [
"65f4a1c2e4a9f3d2b1c0a9e8"
]
},
"licenseKeyId": "string",
"livemode": true,
"status": "draft",
"paymentStatus": "draft",
"paymentError": "string",
"paymentMethod": {
"gateway": "stripe",
"method": "string",
"wallet": "string",
"mode": "default",
"brand": "string",
"last4": "string",
"country": "string",
"exp_month": 0,
"exp_year": 0,
"expMonth": 0,
"expYear": 0,
"funding": "string"
},
"locale": "string",
"sessionId": "string",
"clientIp": "string",
"userAgent": "string",
"screenWidth": 0,
"visitId": "string",
"queryParameters": {
"property1": "string",
"property2": "string"
},
"stripePaymentIntentId": "string",
"stripeSetupIntentId": "string",
"startDate": "2019-08-24T14:15:22Z",
"trialEnd": "2019-08-24T14:15:22Z",
"trialStart": "2019-08-24T14:15:22Z",
"cancelAt": "2019-08-24T14:15:22Z",
"cancelAtPeriodEnd": true,
"currentPeriodStart": "2019-08-24T14:15:22Z",
"currentPeriodEnd": "2019-08-24T14:15:22Z",
"upsell": true,
"upsellPageId": "string",
"upsellChargeId": "string",
"upsellSubscriptionId": "string",
"sellerId": "string",
"customerId": "string",
"pageId": "string",
"productId": "string",
"productTitle": "string",
"lastRefundAt": "2019-08-24T14:15:22Z",
"lastRefundReason": "string",
"lastRefundReasonNote": "string",
"canceledAt": "2019-08-24T14:15:22Z",
"canceledBy": "string",
"reason": "string",
"isAbandoned": true,
"recoveredAt": "2019-08-24T14:15:22Z",
"abandonmentStatus": "abandoned",
"abandonedCartEmailStatus": "pending",
"abandonedCartEmailSentAt": "2019-08-24T14:15:22Z",
"pageSlug": "string",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}
]
}{
"status": "error",
"type": "error",
"message": "Not Found",
"errors": [
{
"param": "string",
"message": "string",
"value": null
}
],
"property1": null,
"property2": null
}{
"status": "error",
"type": "error",
"message": "Not Found",
"errors": [
{
"param": "string",
"message": "string",
"value": null
}
],
"property1": null,
"property2": null
}{
"status": "error",
"type": "error",
"message": "Not Found",
"errors": [
{
"param": "string",
"message": "string",
"value": null
}
],
"property1": null,
"property2": null
}{
"status": "error",
"type": "error",
"message": "Not Found",
"errors": [
{
"param": "string",
"message": "string",
"value": null
}
],
"property1": null,
"property2": null
}{
"status": "error",
"type": "error",
"message": "Not Found",
"errors": [
{
"param": "string",
"message": "string",
"value": null
}
],
"property1": null,
"property2": null
}